
#ifndef _DAMLDB_SUPPORT_H
#define _DAMLDB_SUPPORT_H

#if defined (sun)
#  pragma ident "@(#)$Id: support.h,v 1.2 2002/04/09 02:04:46 neves Exp $"
#endif

#if defined(HAVE_CONFIG_H)
#include <config.h>
#endif

#include <damldb/cdecls.h>

BEGIN_C_DECLS

#if !defined(HAVE_ITOA)
__EXPORT char* itoa PARAMS((int value, char* buf, int radix));
#endif

#if !defined(HAVE_COMPRESS)
__EXPORT int compress PARAMS((char* dest, unsigned long* destLen, const char* source, unsigned long sourceLen));
#endif

#if !defined(HAVE_UNCOMPRESS)
__EXPORT int uncompress PARAMS((char* dest, unsigned long* destLen, const char* source, unsigned long sourceLen));
#endif

char* win32_strerror PARAMS(());

END_C_DECLS

#endif /* !_DAMLDB_SUPPORT_H */

/** Emacs:
 *  Local Variables:
 *  mode: c
 *  c-basic-offset: 2
 *  End:
 */


