
#ifndef _DAMLDB_DBFACTORYIMPL_HH
#define _DAMLDB_DBFACTORYIMPL_HH

#if defined (sun)
#  pragma ident "@(#)$Id: DBFactoryImpl.hh,v 1.2 2002/04/09 02:04:46 neves Exp $"
#endif

#include "damldb/Portability.hh"
#include "damldb/DBFactory.hh"

#ifdef CCXX_NAMESPACES
namespace damldb {
#endif

  /** DBFactoryImpl is an implementation of a factory for creating databases.
   */
  class __EXPORT DBFactoryImpl : public DBFactory {
  public:

    virtual IDamlDB* newDatabase(const string& directory,  const int open_mode = (iodb::in | iodb::nocreate));
  };

#ifdef CCXX_NAMESPACES
} // namespace damldb
#endif

#endif //!_DAMLDB_DBFACTORYIMPL_HH

// Emacs
// Local Variables:
// mode: c++
// c-basic-offset: 2
// End:
