
#ifndef _DAMLDB_OS_HH
#define _DAMLDB_OS_HH

#if defined (sun)
#  pragma ident "@(#)$Id: OS.hh,v 1.2 2002/04/09 02:04:46 neves Exp $"
#endif

#include "damldb/Portability.hh"
#include "damldb/Time_Value.hh"

#include <string>

#ifdef CCXX_NAMESPACES
namespace damldb {
USING(std);
#endif

  class __EXPORT OS
  {
  public:
    static int access(const string& pathname, int mode);

    static char filesep();

    static char* getenv(const char* name);

    static Time_Value gettimeofday(void);

    static void maybe_convert_path(const string* pathname, string& convertedName);

    static void maybe_convert_path(const string& pathname, string& convertedName);
  };

#ifdef CCXX_NAMESPACES
} // namespace damldb
#endif

#endif /* !_DAMLDB_OS_HH */

// Emacs
// Local Variables:
// mode: c++
// c-basic-offset: 2
// End:
