
#include "damldb/damldb_mysql.h"

#include <stdio.h>
#include <stdlib.h>

static
void
package_missing(char* package_name)
{
  fprintf(stderr, "FATAL: package was not configured with package %s", package_name);
  exit(EXIT_FAILURE);
}

MYSQL *
damldb_mysql_init(MYSQL *mysql)
{
  package_missing("mysql");
  return 0;
}

char *
damldb_mysql_error(MYSQL *mysql)
{
  package_missing("mysql");
  return 0;
}

void 
damldb_mysql_close(MYSQL *sock)
{
  package_missing("mysql");
}

void
damldb_mysql_free_result(MYSQL_RES *result)
{
  package_missing("mysql");
}

MYSQL *
damldb_mysql_real_connect(MYSQL *mysql, const char *host,
		   const char *user,
		   const char *passwd,
		   const char *db,
		   unsigned int port,
		   const char *unix_socket,
		   unsigned int clientflag)
{
  package_missing("mysql");
  return 0;
}

int
damldb_mysql_select_db(MYSQL *mysql, const char *db)
{
  package_missing("mysql");
  return -1;
}

int
damldb_mysql_query(MYSQL *mysql, const char *q)
{
  package_missing("mysql");
  return -1;
}

MYSQL_RES *
damldb_mysql_store_result(MYSQL *mysql)
{
  package_missing("mysql");
  return 0;
}

MYSQL_ROW
damldb_mysql_fetch_row(MYSQL_RES *result)
{
  package_missing("mysql");
  return 0;
}
